using System;

namespace FinalDemo.Framework
{
	[AttributeUsage(AttributeTargets.Property | AttributeTargets.Method, AllowMultiple = true)]
	public class DependsOnAttribute : Attribute
	{
		public string DependencyName { get; private set; }
		public bool VerifyStaticExistence { get; set; }

		public DependsOnAttribute(string propertyName)
		{
			DependencyName = propertyName;
		}
	}
}